<?php

namespace kernel;

use kernel\Controller;
use kernel\helpers\Debug;
use kernel\services\AdminThemeService;

class AdminController extends Controller
{
    protected AdminThemeService $adminThemeService;

    protected function init(): void
    {
        $this->adminThemeService = new AdminThemeService();
        $active_theme = $this->adminThemeService->getActiveAdminThemeInfo();
        $this->cgView->layoutPath = getConst($active_theme['layout_path']);
        $this->cgView->layout = "/" . $active_theme['layout'];

        $this->cgView->addVarToLayout("resources", $active_theme['resource']);
    }

}